Get Streaming Endpoint – Media API – MediaKind
Get Streaming Endpoint
Get https://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name
Retrieves a single Streaming Endpoint.
RBAC Capability Required: ams.streamingendpoint.get
Authentication
Authorization
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name string Required
- endpoint_name string Required
Response
200 A single Streaming Endpoint
location string Required
The name of the location in which the streaming endpoint is located. This field must match the location in which the user's subscription is provisioned.name string Optional (1-64 characters)
pattern:^[a-zA-Z0-9]+(-[a-zA-Z0-9])*$The name of the resourceproperties object StreamingEndpointProperties Required
The properties of the streaming endpoint.accessControl object StreamingEndpointAccessControl Optional
The access control settings for the streaming endpoint.akamai object StreamingEndpointAkamiACL Optional Deprecated
DEPRECATED: This is provided for backwards compatibility and will be removed in a future release. Akamai access control configuration for the streaming endpoint.akamaiSignatureHeaderAuthenticationKeyList list of objects AkamiHeaderAuthKey Required Deprecated
DEPRECATED: This is provided for backwards compatibility and will be removed in a future release.ip object StreamingEndpointIPACL Optional
IP-based access control configuration for the streaming endpoint.allowlist of objects IPAcl Required
The IP allow list.- address string Required
- name string Optional
- subnetPrefixLength integer Optional
advancedSettingsName string or null Optional
cdnBasePath string Optional
cdnEnabled boolean Optional
cdnProfile string Optional
cdnProvider enum Optional Deprecated Allowed values: Standard, Akamai
created string Optional
crossSiteAccessPolicies object CrossSiteAccessPolicies Optional
customHostNames list of strings Optional
description string or null Optional
hostName string Optional
lastModified string Optional
maxCacheAge integer Optional
maxManifestCacheAge integer Optional
provisioningState enum Optional
Allowed values: InProgress, Succeeded, FailedpublicName string Optional (3-63 characters)
pattern:^[a-z0-9]+(-[a-z0-9]+)*$resourceState enum Optional
scaleUnits integer Required >= 0
shieldCache object StreamingEndpointShieldCache Optional
sku object StreamingEndpointsCurrentSku Optional
tags map from strings to string Optional.
Errors
400 Bad Request
- error object ErrorDetail Required
401 Unauthorized
- error object ErrorDetail Required
403 Forbidden
- error object ErrorDetail Required
404 Not Found
- error object ErrorDetail Required
429 Too Many Requests
- error object ErrorDetail Required
500 Internal Server Error
- error object ErrorDetail Required